<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Language\Text;

if (!$list)
{
	return;
}

$model = JModelLegacy::getInstance('Articles', 'ContentModel', array( 'ignore_request' => true )); 
$params = JFactory::getApplication()->getParams();
$model->setState('params', $params);
$model->setState('filter.category_id', 17); // xxxx category ID 
$num_articles = $model->getTotal();
?>

<div class="container-ticket">
	<div class="ticket">
		<div class="head-ticket">
			<p class="x-bold">E.Leclerc</p>
			<p class="bold">29800 LANDERNEAU</p>
			<p class="bold">Tél: 02 98 21 47 11</p>
			<br>
			<p class="bold">VOUS REMERCIE DE VOTRE CONFIANCE</p>
			<p>Caisse 015-2019 15 avril 2019 18:24</p>
			<p>Ticket 15/04/170 0QRM 02050</p>
			<div class="code-barre">
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
				<span></span>
			</div>
		</div>
		<div class="body-ticket">
			<div class="produits">				
				<?php foreach ($list as $item) : ?>
				<div class="col2">
					<?php if ($params->get('link_titles') == 1) : ?>
					<p><a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo JHTML::_('string.truncate', $item->title, 30, false, false) ; ?></a></p>
					<?php else : ?>
					<p><?php echo JHTML::_('string.truncate', $item->title, 30, false, false) ; ?></p>
					<?php endif; ?>			
					<?php if ($item->displayDate) : ?>
					<p class="prix">
						<?php echo $item->displayDate; ?> <!-- use the format 'd.m' in module parameters -->
					</p>
					<?php endif; ?>
				</div>						
				<?php endforeach; ?>
				<div class="hr-sm"></div>
				<div class="col2 pt-2">
					<p>Total <?php echo $num_articles; ?> articles</p>
					<p class="prix">1.63</p>
				</div>
				<p>Soit en franc : 10.69</p>
				<p>(1 euro = 6,55957 francs)</p>
				<br>
				<div class="col2">
					<p>Bon achat carte</p>
					<p class="prix">1.63</p>
				</div>
				<div class="col2">
					<p>Rendu</p>
					<p class="prix">0.00</p>
				</div>
			</div>
			<div class="hr-lg"></div>
			<div class="carte">
				<p class="title-carte">Avec la carte E.Leclerc</p>
				<br>
				<div class="col2">
					<p>CUMUL DISPONIBLE AU 15/04/19 :</p>
					<p class="prix">42.65€</p>
				</div>
				<br>
				<p>Ce CUMUL DISPONIBLE est à valoir sur vos prochains achats dans tous les magasins E.LECLERC participant à l'opération et sur présentation de votre carte E.LECLERC.</p>
				<br>
				<p>Modalités, durée de validité à l'accueil</p>
			</div>
			<div class="hr-lg"></div>
		</div>
		<div class="footer-ticket">
			<p class="title-footer">Merci de votre<br>visite et à bientôt</p>
		</div>
	</div>
</div>